flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: [FlexJS] BarChart component added - render issue
Date Fri, 07 Feb 2014 04:24:10 GMT


On 2/6/14 6:04 PM, "OmPrakash Muppirala" <bigosmallm@gmail.com> wrote:

>App works fine even though I am getting a warning during the JS
>compilation
>part:
>
>WARNING - Bad type  annotation. Unknown type
>org.apache.flex.charts.beads.layouts.BarChartLayout
>     [java]   var /** @type
>{org.apache.flex.charts.beads.layouts.BarChartLayout} */ barChartLayout =
>org.apache.flex.utils.Language.as(this._strand.getBeadByType(org.apache.fl
>ex.core.IBeadLayout),
>org.apache.flex.charts.beads.layouts.BarChartLayout);
I think this means that BarChartLayout doesn't have a goog.require in the
.js file, which should be output by the cross-compiler if in the .as file
there is an import and the class is referenced.

HTH,
-Alex


Mime
View raw message